#!/bin/bash

binroot=$1
srcroot=$2
dstdir=$3

# first prepare the directories
pushd $dstdir > /dev/null
dstdir=`pwd -P`

mkdir -p usr/share/livemath/starters
popd > /dev/null

mkdir -p $binroot/STR

# now copy the startes notebooks
cp -r $srcroot/BuildSrcs/Starters/* $dstdir/usr/share/livemath/starters

# and now remove all CVS occurences
find $dstdir/usr/share/livemath/starters -type d -name CVS -exec rm -rf "{}" \; > /dev/null 2>/dev/null
find $dstdir/usr/share/livemath/starters -type d -name CVS.sandboxinfo -exec rm -rf "{}" \; > /dev/null 2>/dev/null

# now put some internal info like version and build id files - copy them from TRS and/or TVS
if [ -e $binroot/TRS/version.info ]; then
	cp $binroot/TRS/version.info $binroot/STR
	cp $binroot/TRS/buildid.info $binroot/STR
elif [ -e $binroot/TVS/version.info ]; then
	cp $binroot/TVS/version.info $binroot/STR
	cp $binroot/TVS/buildid.info $binroot/STR
else
	echo "WARNING: Nowhere to copy version and buildid info files!"
fi

# make them readable from everybody
pushd $dstdir > /dev/null
chmod -R o+r *
chmod -R g+r *
popd > /dev/null

# ready!

